Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class UserInfoDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.bgsecure.server.bean.UserInfoDao

All Implemented Interfaces:
  `Directory<UserInfo>`

public class UserInfoDao extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements Directory<UserInfo>
Дао для справочника пользователя. Так как "user" не является в чистом виде справочником, то реализованы только методы list() и get( int id).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserInfoDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteDirectoryItem(int id)`
  Удаление элемента по id
  `List<UserInfo>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `UserInfo`
  `getDirectoryItem(int id)`
  Получение элемента по id
  `UserInfo`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `UserInfo`
  `updateDirectoryItem(UserInfo k)`
  Изменение/добавление элемента справочника

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### UserInfoDao

    public UserInfoDao(Connection con)

- ## Method Details

  - ### getDirectoryItem

    public UserInfo getDirectoryItem(int id) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `getDirectoryItem` in interface `Directory<UserInfo>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `SQLException`

  - ### getDirectoryItem

    public UserInfo getDirectoryItem(String title) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<UserInfo>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `SQLException`

  - ### directoryItems

    public List<UserInfo> directoryItems() throws SQLException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<UserInfo>`
    Returns:
    Throws:
      `SQLException`

  - ### updateDirectoryItem

    public UserInfo updateDirectoryItem(UserInfo k) throws SQLException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `updateDirectoryItem` in interface `Directory<UserInfo>`
    Parameters:
      `k` -
    Throws:
      `SQLException`

  - ### deleteDirectoryItem

    public int deleteDirectoryItem(int id) throws SQLException
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `deleteDirectoryItem` in interface `Directory<UserInfo>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `SQLException`